> This page is for Enterprise.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://citi-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://citi-demo.ferndocs.com/_mcp/server.

# Wallet Activation

POST {{baseUrl}}/merchant/v1/walletActivation
Content-Type: application/json

Wallet Activation

Reference: https://citi-demo.ferndocs.com/enterprises/api-reference/merchant-service/merchant-service/merchant/wallet-activation

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `client_id` (string, optional) — Your unique identification, same as the identification you use for OAuth token generation, Citi shared with you during your CitiConnect API onboarding

### Headers

- `Idempotency-Id` (string, optional) — Your unique identification for a POST request - Maximum length is 128. - CitiConnect API responds with an error (HTTP status 4XX) if your POST request idempotency identification value is a duplicate across a recent history of idempotency identifications in Citi's database. - If you don't receive any response (HTTP status 2XX, 4XX or 5XX) from Citi to your POST request and you wish to retry, reinitiate your request with the same idempotency identification to prevent accidental duplicate payment.
- `Country-Code` (string, optional) — Marketplace's country code.

### Body (application/json)

This endpoint expects an object.

- `merchant_id` (string, optional)

## Response

### 202

Accepted - your request was received and acknowledged successfully

- `request_id` (string, optional)
- `status_reason_information` (MerchantV1WalletActivationPostResponsesContentApplicationJsonSchemaStatusReasonInformation, optional)

## Errors

### 400 Bad Request Error

Bad-Request-Gateway-Error-Example

- `httpCode` (string, optional)
- `httpMessage` (string, optional)
- `moreInformation` (string, optional)

### 401 Unauthorized Error

Unauthorized-Gateway-Error-Example

- `httpCode` (string, optional)
- `httpMessage` (string, optional)
- `moreInformation` (string, optional)

### 403 Forbidden Error

Forbidden

- `ref_id` (string, optional)
- `error_details` (list of MerchantV1WalletActivationPostResponsesContentApplicationJsonSchemaErrorDetailsItems, optional)

### 404 Not Found Error

Not Found

- `httpCode` (string, optional)
- `httpMessage` (string, optional)
- `moreInformation` (string, optional)

### 405 Method Not Allowed Error

Method Not Allowed

- `httpCode` (string, optional)
- `httpMessage` (string, optional)
- `moreInformation` (string, optional)

### 415 Unsupported Media Type Error

Unsupported Media Type

- `httpCode` (string, optional)
- `httpMessage` (string, optional)
- `moreInformation` (string, optional)

### 500 Internal Server Error

Internal-Server-Gateway-Error-Example

- `httpCode` (string, optional)
- `httpMessage` (string, optional)
- `moreInformation` (string, optional)

## Types

### MerchantV1WalletActivationPostResponsesContentApplicationJsonSchemaStatusReasonInformation

- `status` (string, optional)
- `message` (string, optional)

### MerchantV1WalletActivationPostResponsesContentApplicationJsonSchemaErrorDetailsItems

- `code` (string, optional)
- `issue` (string, optional)
- `action` (string, optional)

## Examples

**Request**

```json
{
  "merchant_id": "string"
}
```

**Response**

```json
{
  "request_id": "KYC1323436",
  "status_reason_information": {
    "status": "ACCEPTED",
    "message": "Request is accepted successfully"
  }
}
```

**SDK Code**

```python merchant_walletActivation_example
import requests

url = "https://{{baseurl}}/merchant/v1/walletActivation"

querystring = {"client_id":"6d3cf821-db6d-496d-bec0-064a362e9c31"}

payload = { "merchant_id": "string" }
headers = {
    "Country-Code": "US",
    "Idempotency-Id": "a44cbb606de4edb9a7a123414bba3bb",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, params=querystring)

print(response.json())
```

```javascript merchant_walletActivation_example
const url = 'https://{{baseurl}}/merchant/v1/walletActivation?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31';
const options = {
  method: 'POST',
  headers: {
    'Country-Code': 'US',
    'Idempotency-Id': 'a44cbb606de4edb9a7a123414bba3bb',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"merchant_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go merchant_walletActivation_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://{{baseurl}}/merchant/v1/walletActivation?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31"

	payload := strings.NewReader("{\n  \"merchant_id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Country-Code", "US")
	req.Header.Add("Idempotency-Id", "a44cbb606de4edb9a7a123414bba3bb")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby merchant_walletActivation_example
require 'uri'
require 'net/http'

url = URI("https://{{baseurl}}/merchant/v1/walletActivation?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Country-Code"] = 'US'
request["Idempotency-Id"] = 'a44cbb606de4edb9a7a123414bba3bb'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"merchant_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java merchant_walletActivation_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://{{baseurl}}/merchant/v1/walletActivation?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")
  .header("Country-Code", "US")
  .header("Idempotency-Id", "a44cbb606de4edb9a7a123414bba3bb")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"merchant_id\": \"string\"\n}")
  .asString();
```

```php merchant_walletActivation_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://{{baseurl}}/merchant/v1/walletActivation?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31', [
  'body' => '{
  "merchant_id": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'Country-Code' => 'US',
    'Idempotency-Id' => 'a44cbb606de4edb9a7a123414bba3bb',
  ],
]);

echo $response->getBody();
```

```csharp merchant_walletActivation_example
using RestSharp;

var client = new RestClient("https://{{baseurl}}/merchant/v1/walletActivation?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31");
var request = new RestRequest(Method.POST);
request.AddHeader("Country-Code", "US");
request.AddHeader("Idempotency-Id", "a44cbb606de4edb9a7a123414bba3bb");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"merchant_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift merchant_walletActivation_example
import Foundation

let headers = [
  "Country-Code": "US",
  "Idempotency-Id": "a44cbb606de4edb9a7a123414bba3bb",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["merchant_id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://{{baseurl}}/merchant/v1/walletActivation?client_id=6d3cf821-db6d-496d-bec0-064a362e9c31")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```